Create or update accounts

This endpoint allows you to create or update debtor accounts on the Credit Clear platform. You can send multiple accounts in a single request, using a JSON array. Each request must have a unique BatchReferenceId parameter that identifies the batch of accounts. The BatchReferenceId helps you track the status and results of your request. The endpoint returns the status URI in the location header.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Debtor account request payload.

string
required
length between 1 and 150

A unique id that identifies the request payload.

accounts
array of objects
required
length ≥ 1

The array of accounts.

accounts*

Represents the details of an account.

string | null

The brand associated with the account.

string | null

The portfolio associated with the account.

string | null

The product associated with the account.

string | null

The segment associated with the account.

string
required
length between 1 and 150

The client reference id that uniquely identifies the account.

string | null

Additional reference that can be included in the communications to your customers. Only required if it is different to the client reference id.

string | null

The currency code associated with the invoice. The default currency code is AUD. It is only applicable if your payment gateway is configured to support multiple currencies and your customers reside in those currency locations.

string | null

The payment reconciliation reference number provided by a payment gateway for the account.

string | null

The BPay reference number provided by the Credit Clear Payment portal for the account.

string | null
required

The invoice number associated with the account.

double
≥ 0

The total combined outstanding amount for the account.

double | null
> 0

The minimum acceptable offer amount for settling the debt on the account.

double | null
0 to 100

The maximum discount percentage allowed by the discount rule for the account.

double | null
≥ 0

The upfront amount required to set up a payment plan for the account.

date-time | null

The date and time when the debt associated with the account was issued, including the timezone.

string
enum
required

Represents the status of an invoice in the system.

Allowed:
debtor
object
required

Represents an entity, which can be a person or a company.

additionalInfo
array of objects | null

An array of key-value pairs representing additional information about the account.

additionalInfo
string | null

The phone number to call back for the account.

string | null

A custom data field1 for the account.

string | null

A custom data field2 for the account.

string | null

A custom data field3 for the account.

string | null

A custom data field4 for the account.

string | null

A custom data field5 for the account.

int32 | null
> 0

Number of days past due date of the debt.

date

Due date of the debt.

sendInstantMessages
array of objects | null

Represents the instant message settings for the debtor. [null] if the instant messages send is not required.

sendInstantMessages
identityChallenges
array of objects | null

Questions that the user must answer to prove their identity.

identityChallenges
Responses
202

Accepted

401

Unauthorized

403

Forbidden

411

Length Required

415

Unsupported Media Type

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/problem+json